org.apache.flume.source.thriftLegacy

## Class ThriftLegacySource.ThriftHandler

- java.lang.Object
- - org.apache.flume.source.thriftLegacy.ThriftLegacySource.ThriftHandler

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    ThriftLegacySource

      public static class ThriftLegacySource.ThriftHandler
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftLegacySource.ThriftHandler(org.apache.thrift.server.TServer server)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftLegacySource.ThriftHandler

          public ThriftLegacySource.ThriftHandler(org.apache.thrift.server.TServer server)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.